aboutsummaryrefslogtreecommitdiffstats
path: root/Scripts/build.sh
diff options
context:
space:
mode:
authorstuconnolly <stuart02@gmail.com>2010-03-23 13:39:07 +0000
committerstuconnolly <stuart02@gmail.com>2010-03-23 13:39:07 +0000
commitb0a9fa03ad1b972d6027a80807718d1f314b0573 (patch)
treedcff7eae866668a24800cdf03f507a8418fc21d6 /Scripts/build.sh
parent92b9f5d4c025c6bd50367d6a2e9b39e257769107 (diff)
downloadsequelpro-b0a9fa03ad1b972d6027a80807718d1f314b0573.tar.gz
sequelpro-b0a9fa03ad1b972d6027a80807718d1f314b0573.tar.bz2
sequelpro-b0a9fa03ad1b972d6027a80807718d1f314b0573.zip
Update Localizable.strings and add error checking to genstrings build process.
Diffstat (limited to 'Scripts/build.sh')
-rwxr-xr-xScripts/build.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/Scripts/build.sh b/Scripts/build.sh
index 8c71977f..02795ac9 100755
--- a/Scripts/build.sh
+++ b/Scripts/build.sh
@@ -16,7 +16,13 @@ BUILD_PRODUCT="${BUILT_PRODUCTS_DIR}/${TARGET_NAME}${WRAPPER_SUFFIX}"
echo "Running genstrings to update 'Localizable.strings'..."
# Update 'Localizable.strings' by running genstrings(1)
-genstrings -o "${SRCROOT}/Resources/English.lproj" "${SRCROOT}/Source/*.m"
+GENSTRINGS_ERRORS=$(genstrings -o "${SRCROOT}/Resources/English.lproj" "${SRCROOT}/Source/*.m")
+
+# Check for genstrings errors
+if [ $? -ne 0 ]
+then
+ echo "Error: genstrings exited with error: ${GENSTRINGS_ERRORS}"
+fi
echo 'Updating build version...'